Name: superkaramba
Version: 0.36
Release: alt1
Summary: Interactive eye-candy themes on your KDE desktop
License: GPL
Url: http://netdragon.sourceforge.net
Packager: Ilya Mashkin <oddity at altlinux dot ru>
Group: Graphical desktop/KDE 

Source0: %name-%version.tar.gz

Requires: kdelibs 
Requires: python = %__python_version 
Requires: python-devel = %__python_version 

# Automatically added by buildreq on Tue Apr 19 2005
BuildRequires: fontconfig freetype2 gcc-c++ gcc-java glib-devel gtk+-devel hostinfo kde-settings kdelibs-devel libarts-devel libjpeg-devel libpng-devel libqt3-devel libqt3-settings libstdc++-devel libxmms-devel samba-common xml-utils xorg-x11-devel xorg-x11-libs zlib-devel

BuildRequires: python = %__python_version 
BuildRequires: python-devel = %__python_version

%description
SuperKaramba is, in simple terms, a tool that allows you to easily
create interactive eye-candy on your KDE desktop. Theme writers create
themes, or text files that define their widget. Then, they can
optionally add python scripting to make their widget interactive. The
possibilities are endless!

Here are just some examples of the things that can be done:

* Display system information such as CPU Usage, MP3 playing, etc.
* Create cool custom toolbars that work any way imaginable
* Create little games or virtual pets that live on your desktop
* Display information from the internet, such as weather and headlines

%description -l ru_RU.KOI8-R

SuperKaramba -  ,    
 -   KDE.    
 -  ,   .   
    Python',  ,  
  .  !

    ,   :

*   , ,    
    MP3;
*     ,  
  ;
*       , 
     ;
*    , ,    
  

%prep
%setup -q
%__subst "s/\(Wl,--no-undefined\)/-Wl,--warn-unresolved-symbols \1/g" admin/acinclude.m4.in                 
%__subst "s/\-lkdeui/-lkdeui -lpthread -lpython%__python_version/g" admin/acinclude.m4.in                                   
%__subst "s/\.la/\.so/g" admin/acinclude.m4.in
#__subst "s,libpython\$version\.a,libpython\$version\.so,g" admin/acinclude.m4.in
#__subst "s,aclocal-1.5,aclocal-1.9,g" admin/detect-autoconf.sh
#__subst "s,automake-1.5,automake-1.9,g" admin/detect-autoconf.sh
#__subst "s,automake\*1\.5,automake\*1\.9,g" admin/cvs.sh
%__make -f admin/Makefile.common cvs ||:
##__subst "s,\.la,\.so,g" configure

%build
%add_optflags  -I/usr/include/python%__python_version
%configure --disable-rpath 
%make_build

%install
%makeinstall
install -d -m 755 %buildroot/%_menudir
install -d -m 755 %buildroot/{%_miconsdir,%_liconsdir}
mv %buildroot/%_datadir/applnk/Utilities/karamba.desktop %buildroot/%_datadir/applnk/Utilities/%name.desktop

kdedesktop2mdkmenu.pl %name Applications/Accessibility %buildroot/%_datadir/applnk/Utilities/%name.desktop %buildroot/%_menudir/%name kde
install -m 644 src/lo16-app-karamba.png %buildroot%_miconsdir/%name.png
install -m 644 src/lo32-app-karamba.png %buildroot%_iconsdir/%name.png
install -m 644 src/lo32-app-karamba.png %buildroot%_liconsdir/%name.png
install -d -m 755 %buildroot/%_datadir/apps/%name/themes/
install -d -m 755 %buildroot/%_datadir/apps/%name/themes/pics/

cp -a examples/{taskBar/cleanbar,popupMenu,autoHide,richtext,unicode,globalMouse} %buildroot/%_datadir/apps/%name/themes/

#remove some files we don't want:
find %buildroot -type d -name '.xvpics'|xargs rm -Rf

rm -Rf %buildroot/%_datadir/apps/%name/themes/pics
#Requires of BUILT-IN module karamba has been excluded:
%add_python_req_skip - karamba 
%post
%update_menus

%postun
%clean_menus

%files
%doc README AUTHORS COPYING examples/template.py
%_bindir/*
%_datadir/apps/%name
%_datadir/applnk/Utilities/%name.desktop
%_docdir/HTML/*/karamba/*
%_miconsdir/%name.png
%_iconsdir/%name.png
%_liconsdir/%name.png
%_menudir/%name
%attr(755,root,root) %config(noreplace)

%changelog
* Fri May 13 2005 Ilya Mashkin <oddity at altlinux dot ru> 0.36-alt1
- new version 0.36
- repaired, thanks to Alex Gorbachenko
- rebuild with python2.4

* Mon Jan 10 2005 Ilya Mashkin <oddity at altlinux dot ru> 0.35-alt1
- New version 0.35
- spec cleanup
 
* Wed Jul 14 2004 Dmitriy Porollo <spider@altlinux.ru> 0.34-alt1
- 0.34

* Wed Jul 09 2004 Dmitriy Porollo <spider@altlinux.ru> 0.33-alt2
- Fixed "themes on top" bug.
- Requires of BUILT-IN module karamba has been excluded;

* Wed Dec 24 2003 Mikhail Yakshin <greycat@altlinux.org> 0.33-alt1
- 0.33
- fixed .la files

* Sat Oct 18 2003 Mikhail Yakshin <greycat@altlinux.ru> 0.32b-alt1
- Initial build for ALT Linux, adapted from Mandrake spec by Buchan
  Milne
- Spec cleanup, heavily edited
- Dropped lots of features, will bring them back as separate packages

* Fri Sep 19 2003 Buchan Milne <bgmilne@linux-mandrake.com> 0.32b-2mdk
- Fixed default theme, mandrakesecure theme background, include tmon

* Sat Sep 13 2003 Buchan Milne <bgmilne@linux-mandrake.com> 0.32b-1mdk
- 0.32b (compiles with python-2.3)
- New default theme (with mandrakesecure theme and two examples)
- Put menus back
- Add scripts in profile.d to ensure path is set for restored session
- When opening a new theme, start in system theme directory (p1)

* Wed Aug 27 2003 Buchan Milne <bgmilne@linux-mandrake.com> 0.31-1mdk
- Superkaramba 0.31

* Sun Aug 24 2003 Buchan Milne <bgmilne@linux-mandrake.com> 0.22-1mdk
- 0.22
- hackish patch to make it build (P1), may break track names on oggs
- set theme path and default theme by karambarc file (copied by script)

* Fri Jul 18 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.17-4mdk
- Rebuild

* Sun May 11 2003 Laurent Culioli <laurent@pschit.net> 0.17-3mdk
- buildrequires

* Thu Apr 17 2003 Laurent Culioli <laurent@pschit.net> 0.17-2mdk
- Buildrequires

* Wed Apr 16 2003 Laurent Culioli <laurent@pschit.net> 0.17-1mdk
- 0.17

* Thu Apr 10 2003 Laurent Culioli <laurent@pschit.net> 0.15-1mdk
- 0.15

* Thu Apr 03 2003 Laurent Culioli <laurent@pschit.net> 0.12-2mdk
- fix wrapper

* Thu Apr 03 2003 Laurent Culioli <laurent@pschit.net> 0.12-1mdk
- initial package
- add wrapper to setup scripts
- patch0 : add startdir
- noatun.theme contributed by Shift \o/
